
From: "Maciej W. Rozycki" <macro@linux-mips.org>

Rename APIC_MODE_EXINT to APIC_MODE_EXTINT - I think it should be named
after what the mode is called in documentation.

Signed-off-by: Maciej W. Rozycki <macro@linux-mips.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/apic.c      |    2 +-
 25-akpm/arch/x86_64/kernel/apic.c    |    2 +-
 25-akpm/include/asm-i386/apicdef.h   |    2 +-
 25-akpm/include/asm-x86_64/apicdef.h |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/apic.c~x86-rename-apic_mode_exint arch/i386/kernel/apic.c
--- 25/arch/i386/kernel/apic.c~x86-rename-apic_mode_exint	2004-11-15 00:24:43.191982632 -0800
+++ 25-akpm/arch/i386/kernel/apic.c	2004-11-15 00:24:43.200981264 -0800
@@ -237,7 +237,7 @@ void disconnect_bsp_APIC(void)
 			APIC_INPUT_POLARITY | APIC_LVT_REMOTE_IRR |
 			APIC_LVT_LEVEL_TRIGGER | APIC_LVT_MASKED );
 		value |= APIC_LVT_REMOTE_IRR | APIC_SEND_PENDING;
-		value = SET_APIC_DELIVERY_MODE(value, APIC_MODE_EXINT);
+		value = SET_APIC_DELIVERY_MODE(value, APIC_MODE_EXTINT);
 		apic_write_around(APIC_LVT0, value);
 
 		/* For LVT1 make it edge triggered, active high, nmi and enabled */
diff -puN arch/x86_64/kernel/apic.c~x86-rename-apic_mode_exint arch/x86_64/kernel/apic.c
--- 25/arch/x86_64/kernel/apic.c~x86-rename-apic_mode_exint	2004-11-15 00:24:43.193982328 -0800
+++ 25-akpm/arch/x86_64/kernel/apic.c	2004-11-15 00:24:43.201981112 -0800
@@ -162,7 +162,7 @@ void disconnect_bsp_APIC(void)
 			APIC_INPUT_POLARITY | APIC_LVT_REMOTE_IRR |
 			APIC_LVT_LEVEL_TRIGGER | APIC_LVT_MASKED );
 		value |= APIC_LVT_REMOTE_IRR | APIC_SEND_PENDING;
-		value = SET_APIC_DELIVERY_MODE(value, APIC_MODE_EXINT);
+		value = SET_APIC_DELIVERY_MODE(value, APIC_MODE_EXTINT);
 		apic_write_around(APIC_LVT0, value);
 
 		/* For LVT1 make it edge triggered, active high, nmi and enabled */
diff -puN include/asm-i386/apicdef.h~x86-rename-apic_mode_exint include/asm-i386/apicdef.h
--- 25/include/asm-i386/apicdef.h~x86-rename-apic_mode_exint	2004-11-15 00:24:43.194982176 -0800
+++ 25-akpm/include/asm-i386/apicdef.h	2004-11-15 00:24:43.201981112 -0800
@@ -91,7 +91,7 @@
 #define			SET_APIC_DELIVERY_MODE(x,y)	(((x)&~0x700)|((y)<<8))
 #define				APIC_MODE_FIXED		0x0
 #define				APIC_MODE_NMI		0x4
-#define				APIC_MODE_EXINT		0x7
+#define				APIC_MODE_EXTINT	0x7
 #define 	APIC_LVT1	0x360
 #define		APIC_LVTERR	0x370
 #define		APIC_TMICT	0x380
diff -puN include/asm-x86_64/apicdef.h~x86-rename-apic_mode_exint include/asm-x86_64/apicdef.h
--- 25/include/asm-x86_64/apicdef.h~x86-rename-apic_mode_exint	2004-11-15 00:24:43.196981872 -0800
+++ 25-akpm/include/asm-x86_64/apicdef.h	2004-11-15 00:24:43.202980960 -0800
@@ -94,7 +94,7 @@
 #define			SET_APIC_DELIVERY_MODE(x,y)	(((x)&~0x700)|((y)<<8))
 #define				APIC_MODE_FIXED		0x0
 #define				APIC_MODE_NMI		0x4
-#define				APIC_MODE_EXINT		0x7
+#define				APIC_MODE_EXTINT	0x7
 #define 	APIC_LVT1	0x360
 #define		APIC_LVTERR	0x370
 #define		APIC_TMICT	0x380
_
